Bug 1576268 (CVE-2018-5167) - CVE-2018-5167 Mozilla: Improper linkification of chrome: and javascript: content in web console and JavaScript debugger
Summary: CVE-2018-5167 Mozilla: Improper linkification of chrome: and javascript: cont...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:15 UTC by Doran Moppert
Modified: 2021-02-26 02:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:06 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:15:01 UTC
The web console and JavaScript debugger do not sanitize all output that can be hyperlinked. Both will display `chrome:` links as active, clickable hyperlinks in their output. Web sites should not be able to directly link to internal chrome pages. Additionally, the JavaScript debugger will display `javascript:` links, which users could be tricked into clicking by malicious sites. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5167

Comment 1 Doran Moppert 2018-05-09 07:15:06 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Wladimir Palant


Note You need to log in before you can comment on or make changes to this bug.